org.apache.sling.hapi.impl

## Class HApiPropertyImpl

- java.lang.Object
- - org.apache.sling.hapi.impl.HApiPropertyImpl

All Implemented Interfaces:
  HApiProperty

    public class HApiPropertyImpl
    extends Object
    implements HApiProperty

### Constructor Summary

Constructors
Constructor and Description
`HApiPropertyImpl(String name, String description, HApiType type, Boolean multiple)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDescription()` Get the description of this property
`Boolean` `getMultiple()` Whether this property is a multiple value
`String` `getName()` Get the name of this property
`HApiType` `getType()` Get the type of this property
`void` `setDescription(String description)` Set the description of this property
`void` `setMultiple(Boolean multiple)` Set the boolean value for multiple
`void` `setName(String name)` Set the name of this property
`void` `setType(HApiType type)` Set the type of this property
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HApiPropertyImpl

    public HApiPropertyImpl(String name,
                            String description,
                            HApiType type,
                            Boolean multiple)

Parameters:
  `name` -
  `description` -
  `type` -
  `multiple` -

### Method Detail

#### getName

    public String getName()

Get the name of this property

Specified by:
  `getName` in interface `HApiProperty`
Returns:

#### setName

    public void setName(String name)

Set the name of this property

Specified by:
  `setName` in interface `HApiProperty`

#### getDescription

    public String getDescription()

Get the description of this property

Specified by:
  `getDescription` in interface `HApiProperty`
Returns:

#### setDescription

    public void setDescription(String description)

Set the description of this property

Specified by:
  `setDescription` in interface `HApiProperty`

#### getType

    public HApiType getType()

Get the type of this property

Specified by:
  `getType` in interface `HApiProperty`
Returns:

#### setType

    public void setType(HApiType type)

Set the type of this property

Specified by:
  `setType` in interface `HApiProperty`

#### getMultiple

    public Boolean getMultiple()

Whether this property is a multiple value

Specified by:
  `getMultiple` in interface `HApiProperty`
Returns:

#### setMultiple

    public void setMultiple(Boolean multiple)

Set the boolean value for multiple

Specified by:
  `setMultiple` in interface `HApiProperty`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`